Page 1 of 2 12 LastLast
Results 1 to 10 of 12
  1. #1
    Untangler
    Join Date
    Apr 2012
    Posts
    30

    Default Untangle GUI not accessible after update last night

    Below is what I get when I go to my untangle router via web browser. Not sure how to fix this.
    -------------
    Upgrade in progress. Do not reboot or power off the server!

    Found linux image: /boot/vmlinuz-4.9.0-11-untangle-amd64
    Found initrd image: /boot/initrd.img-4.9.0-11-untangle-amd64
    Found linux image: /boot/vmlinuz-3.16.0-4-untangle-amd64
    Found initrd image: /boot/initrd.img-3.16.0-4-untangle-amd64
    done
    Removing python3-distutils (3.7.3-1) ...
    Removing python3-lib2to3 (3.7.3-1) ...
    Removing untangle-kernel-modules-stretch-amd64 (15.0.0.20190919T031920.dabf4efd5-1stretch) ...
    Removing zoo (2.10-28) ...
    Processing triggers for libc-bin (2.28-10) ...
    Processing triggers for man-db (2.8.5-2) ...
    Processing triggers for mime-support (3.62) ...
    (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 80039 files and directories currently installed.)
    Purging configuration files for libssl1.0.2:amd64 (1.0.2u-1~deb9u1) ...
    Purging configuration files for linux-image-4.9.0-9-untangle-amd64 (4.9.168-1+deb9u3+untangle1) ...
    Purging configuration files for libhyperscan4 (4.4.1-1) ...
    Purging configuration files for python3.5-minimal (3.5.3-1+deb9u1) ...
    Purging configuration files for gnupg-agent (2.2.12-1+deb10u1) ...
    Purging configuration files for libpython3.5-minimal:amd64 (3.5.3-1+deb9u1) ...
    dpkg: warning: while removing libpython3.5-minimal:amd64, directory '/usr/lib/python3.5' not empty so not removed
    Purging configuration files for libdb5.1:amd64 (5.1.29-5) ...
    Purging configuration files for libprelude2 (1.0.0-11.9) ...
    W: --force-yes is deprecated, use one of the options starting with --allow instead.
    2020-07-09 02:47

    apt-get clean
    2020-07-09 02:47

    2020-07-09 02:47 ut-upgrade.py done.

  2. #2
    Untanglit
    Join Date
    Oct 2014
    Posts
    20

    Unhappy

    I am facing the same issue. It ran last night automatically and afterwards below is the only screen I can see when trying to login to UTM



    Awaiting the solution.

  3. #3
    Untangler jcoffin's Avatar
    Join Date
    Aug 2008
    Location
    Sunnyvale, CA
    Posts
    8,906

    Default

    Open a support ticket.
    Jim.Alles likes this.
    Attention: Support and help on the Untangle Forums is provided by
    volunteers and community members like yourself.
    If you need Untangle support please call or email support@untangle.com

  4. #4
    Untangler
    Join Date
    Apr 2012
    Posts
    30

    Default

    I contacted support and they said since they can't get to my router from the internet they can't help me. But this started happening right after the update. They said to reinstall, but they also said that this would wipe out all my settings, and that would take days or weeks to reconfigure. I have a backup that was done in October of 2019. Not much has changed since then. Can anyone tell me if I would be able to use a previous backup from a previous version of untangle?

  5. #5
    Untangler jcoffin's Avatar
    Join Date
    Aug 2008
    Location
    Sunnyvale, CA
    Posts
    8,906

    Default

    Yes, backups from the previous release are always supported.
    Attention: Support and help on the Untangle Forums is provided by
    volunteers and community members like yourself.
    If you need Untangle support please call or email support@untangle.com

  6. #6
    Untangle Ninja sky-knight's Avatar
    Join Date
    Apr 2008
    Location
    Phoenix, AZ
    Posts
    24,813

    Default

    Untangle v15.1 can only accept backups from Untangle v15.0. An October backup is probably v14.2.

    As a mission critical system, it's your responsibility to maintain your backups. If you failed to do that... you're in a bad place. Now, you have to make a decision, is that ancient backup current enough to justify the time it's going to take to install the platform with the old version, and then upgrade it to current... or will simply installing current and manually reconfigure the platform take less time?

    But this stuff is also why when an OS level upgrade comes along I tell people to go manual on upgrades, so you can pull that backup and schedule when you're going to upgrade.

    P.S. If the unit has a support subscription, backups are in your untangle.com account they're automatically synced off.
    Rob Sandling, BS:SWE, MCP
    NexgenAppliances.com
    Phone: 866-794-8879 x201
    Email: support@nexgenappliances.com

  7. #7
    Untangler
    Join Date
    Apr 2012
    Posts
    30

    Default

    To be honest, I didn't even know the auto upgrade was enabled nor did I realize it existed. That being said, since nothing has changed since October, there wasn't any sense in doing backups. I usually do backups when something has changed.

    How do I get 14.2 and is there something in the backup that I can read to see what version it was at that time?


    Quote Originally Posted by sky-knight View Post
    Untangle v15.1 can only accept backups from Untangle v15.0. An October backup is probably v14.2.

    As a mission critical system, it's your responsibility to maintain your backups. If you failed to do that... you're in a bad place. Now, you have to make a decision, is that ancient backup current enough to justify the time it's going to take to install the platform with the old version, and then upgrade it to current... or will simply installing current and manually reconfigure the platform take less time?

    But this stuff is also why when an OS level upgrade comes along I tell people to go manual on upgrades, so you can pull that backup and schedule when you're going to upgrade.

    P.S. If the unit has a support subscription, backups are in your untangle.com account they're automatically synced off.

  8. #8
    Untangler jcoffin's Avatar
    Join Date
    Aug 2008
    Location
    Sunnyvale, CA
    Posts
    8,906
    Attention: Support and help on the Untangle Forums is provided by
    volunteers and community members like yourself.
    If you need Untangle support please call or email support@untangle.com

  9. #9
    Untangler
    Join Date
    Apr 2012
    Posts
    30

    Default

    Thank you Jcoffin! One last question hopefully, will all my interfaces and configuration be restored with the backup? I have a complicated interface setup and need to make sure the IP addresses get placed on the interfaces.

    Quote Originally Posted by jcoffin View Post

  10. #10
    Untangler jcoffin's Avatar
    Join Date
    Aug 2008
    Location
    Sunnyvale, CA
    Posts
    8,906

    Default

    Yes, if the same hardware is used, all the interfaces will match the previous settings.
    Attention: Support and help on the Untangle Forums is provided by
    volunteers and community members like yourself.
    If you need Untangle support please call or email support@untangle.com

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

SEO by vBSEO 3.6.0 PL2